class Project
{
    $ResponseObject
    [String]$ResponseJson
    [Int]$Id
    [Int]$CollectionID
    [String]$Name

    GetAll(){
    

        $Parameters = @{
            Method = "Get"
            Uri = "$global:HOSTURL/ap1/Projects"
            Header = @{
                "accept" = "*/*"
                "Authorization" = "Bearer $global:BEARERTOKEN" 
            }
            ContentType = "application/json"
        }
        $this.ResponseObject = Invoke-FrontAPI($Parameters) | ConvertFrom-Json
        $this.ResponseJson = $this.ResponseObject | ConvertTo-Json -depth 100      
    }

    
}